DeFi

Currency info

get

Returns a currency info for the specified network and address if it exists.

Authorizations
x-api-keystringRequired
Query parameters
networkstringRequired

Network ticker (Currently available: eth, sol, sui, sei, arbitrum, base, bsc, cchain, celo, linea, matic, op, sonic, uni)

addressstringRequired

Token contract address

Responses
chevron-right
200

Currency information

application/json
namestringOptional

Full name of the token

addressstringOptional

Token contract address

decimalsintegerOptional

Number of decimal places for the token

symbolstringOptional

Token symbol

networkstringOptional

Network ticker

enabledbooleanOptional

Indicates if token is currently available for swaps

imagestringOptional

URL to the token icon

get
/v1/defi/currency/info

Available currencies

get

Returns a list of available currencies for the specified network.

Authorizations
x-api-keystringRequired
Query parameters
networkstringRequired

Network ticker (Currently available: eth, sol, sui, sei, arbitrum, base, bsc, cchain, celo, linea, matic, op, sonic, uni)

pagestringOptional

Page number for pagination

limitstringOptional

Number of items per page

Responses
chevron-right
200

List of available currencies for DeFi

application/json
namestringOptional

Full name of the token

addressstringOptional

Token contract address

decimalsintegerOptional

Number of decimal places for the token

symbolstringOptional

Token symbol

networkstringOptional

Network ticker

enabledbooleanOptional

Indicates if token is currently available for swaps

imagestringOptional

URL to the token icon

get
/v1/defi/available-currencies

Swap quote

get

Returns a quote for swapping tokens on a specified network.

Authorizations
x-api-keystringRequired
Query parameters
networkstringRequired

Network name (Currently available: eth, sol, sui, sei, arbitrum, base, bsc, cchain, celo, linea, matic, op, sonic, uni)

fromTokenAddressstringRequired

Source token contract address

toTokenAddressstringRequired

Target token contract address

amountstringRequired

Amount to swap

slippagestringRequired

Allowed slippage in percent

referrerFeestringRequired

Referrer fee in percent

Responses
chevron-right
200

Swap quote

application/json
fromAmountstringOptional

Amount to swap from

usdFromAmountstringOptional

USD value of from amount

toAmountstringOptional

Estimated amount to receive

usdToAmountstringOptional

USD value of to amount

receivedAmountstringOptional

Actual amount user will receive after fees

feestringOptional

Fee amount

priceImpactstringOptional

Price impact percentage

get
/v1/defi/quote

List of exchanges

get

Returns all DEX exchanges for partner from the last 24 hours with optional filters.

Authorizations
x-api-keystringRequired
Query parameters
statusstringOptional

Filter by exchange status

fromTokenAddressstringOptional

Filter by source token address

toTokenAddressstringOptional

Filter by target token address

networkstringOptional

Filter by network

Responses
chevron-right
200

List of DEX exchanges

application/json
totalintegerOptional

Total number of exchanges

get
/v1/defi/exchange/list

Swap tokens

post

Build a transaction hash from the provided data and returns it to sign.

Authorizations
x-api-keystringRequired
Body
accountstringRequired

Sender address

fromTokenAddressstringRequired

Source token contract address

toTokenAddressstringRequired

Target token contract address

amountstringRequired

Amount to swap

slippagestringRequired

Allowed slippage

referrerFeestringRequired

Referrer fee

networkstringRequired

Network name (Currently available: eth, sol, sui, sei, arbitrum, base, bsc, cchain, celo, linea, matic, op, sonic, uni)

Responses
post
/v1/defi/transaction/swap

Send approve transaction

post

Broadcasts the client-signed transaction hash to the network to approve token spending.

Authorizations
x-api-keystringRequired
Body
networkstringRequired

Network name

rawApproveTxstringRequired

Raw approve transaction

Responses
post
/v1/defi/send/approve

Send transaction

post

Broadcasts the client-signed transaction hash to the network to execute the swap.

Authorizations
x-api-keystringRequired
Body
accountstringRequired

Receiver address

amountFromstringRequired

Amount sent from sender

amountTostringRequired

Amount to be received

fromTokenAddressstringRequired

Source token contract address

toTokenAddressstringRequired

Target token contract address

networkstringRequired

Network name (Currently available: eth, sol, sui, sei, arbitrum, base, bsc, cchain, celo, linea, matic, op, sonic, uni)

commissionPercentagestringRequired

Commission percentage

rawTxstringOptional

Raw transaction data

hashstringOptional

Transaction hash

tostringOptional

Recipient address (again, for compatibility)

isExchangebooleanOptional

If it is an approve transaction or any other transaction other than a swap, the flag must be false.

Responses
post
/v1/defi/send/swap

Last updated